eID middleware |

# be.portugal.eid.PTEID_ExReaderSetChanged Class Reference

Exception class Readerset changed (error code = EIDMW_ERR_READERSET_CHANGED). More...

Inheritance diagram for be.portugal.eid.PTEID_ExReaderSetChanged:

List of all members.

## Public Member Functions

synchronized void | delete ()
| PTEID_ExReaderSetChanged ()
| Constructor.

## Protected Member Functions

| PTEID_ExReaderSetChanged (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions

static long | getCPtr (PTEID_ExReaderSetChanged obj)

## Detailed Description

Exception class Readerset changed (error code = EIDMW_ERR_READERSET_CHANGED).

Thrown when accessing a card object but the readerset has been changed Used in : - PTEID_Object.checkContextStillOk()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExReaderSetChanged.PTEID_ExReaderSetChanged | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExReaderSetChanged.PTEID_ExReaderSetChanged | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExReaderSetChanged.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExReaderSetChanged.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExReaderSetChanged.getCPtr | ( | PTEID_ExReaderSetChanged | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExReaderSetChanged.swigCPtr.